[gedit-collaboration] Use autoreconf instead gnome-autogen



commit 434e86afc58db2cb0164981d8937b99fb640e9da
Author: Javier Jardón <jjardon gnome org>
Date:   Wed Oct 20 11:20:38 2010 +0200

    Use autoreconf instead gnome-autogen

 autogen.sh |   25 ++++++++-----------------
 1 files changed, 8 insertions(+), 17 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 2931b21..e63d5bf 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,20 +1,11 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-PKG_NAME="gedit-collaboration"
-
-(test -f $srcdir/configure.ac) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
-}
-
-. gnome-autogen.sh
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+(
+  cd "$srcdir" &&
+  autopoint --force &&
+  AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install
+) || exit
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]